Package Details: mariadb-10.3 10.3.12-3

Git Clone URL: https://aur.archlinux.org/mariadb-10.3.git (read-only)
Package Base: mariadb-10.3
Description: Fast SQL database server, drop-in replacement for MySQL
Upstream URL: http://mariadb.org/
Licenses: GPL
Conflicts: mariadb, mysql
Provides: mariadb=10.3.12, mysql=10.3.12
Submitter: mherzberg
Maintainer: mherzberg
Last Packager: mherzberg
Votes: 3
Popularity: 0.527440
First Submitted: 2018-07-14 18:33
Last Updated: 2019-02-12 12:17

Required by (171)

Sources (4)

Pinned Comments

mherzberg commented on 2019-01-21 14:55

Version 10.3.x is now in the official [extra] repository. I therefore recommend everyone to use the official package instead of this one here.

mherzberg commented on 2019-01-13 13:04

  • With package version 10.3.12-2 I moved the config file location from /etc/my.cnf.d to /etc/mysql/my.cnf.d, which has been suggested to be more in line with other packages. If you created any config files in this directory, you might have to move them yourself. /etc/mysql/my.cnf is still the main config file and if you never used /etc/my.cnf.d you will probably not need to do anything when updating.

  • It seems that Christian Hesse, the maintainer of the official mariadb package for Arch Linux at https://git.archlinux.org/svntogit/packages.git/?h=packages/mariadb, has pushed some work on updating his package to 10.3. I will keep this package here around until it goes live. When this happens, though, I will switch to using his package again and recommend everyone to do the same, since the purpose of this package was to simply provide a newer version quicker for those who desperately needed one. Meanwhile, I ask everyone who has suggestions regarding the packaging of mariadb to contact Christian, as all efforts here will likely be in vain.

vilko commented on 2018-07-23 22:16

if you have following error:

mariadb-10.3.8.tar.gz ... FAILED (unknown public key CBCB082A1BB943DB)

add mariadb's singing key by executing:

gpg --recv-keys --keyserver hkp://keyserver.ubuntu.com:80 CBCB082A1BB943DB

Latest Comments

1 2 3 4 Next › Last »

jankoh commented on 2019-01-25 00:33

@mherzberg: Thanks! It's Jan Kohnert <bughunter at jan-kohnert.de>

Best Jan

mherzberg commented on 2019-01-21 14:55

Version 10.3.x is now in the official [extra] repository. I therefore recommend everyone to use the official package instead of this one here.

klaeuser commented on 2019-01-20 12:19

ok, that was an own goal :-(

Looks like mariadb 10.3.12-2 is now available in the "official" repository:

pacman -Ss mariadb ... extra/mariadb 10.3.12-2 Fast SQL database server, derived from MySQL ...

klaeuser commented on 2019-01-20 12:11

The good news first: setting LANG=C helps a lot! Thanks a lot to jankoh!

Nevertheless I could not build the package with one of the helpers (yaourt, pakku). Each tool creates it's own set of strange error messages (missing header files, unknown compiler options ... )

Downloading the source and running makepkg "manually" solves that (but only if I set LANG=C before) - so far, so good!

But when I try to install the package:

==> Finished making: mariadb-10.3 10.3.12-3 (Sun Jan 20 11:36:20 2019) ==> Installing mariadb-10.3 package group with pacman -U... loading packages... resolving dependencies... looking for conflicting packages... error: unresolvable package conflicts detected error: failed to prepare transaction (conflicting dependencies) :: libmariadb-10.3 and mariadb-libs are in conflict

$ pacman -Ss mariadb-libs extra/mariadb-libs 10.3.12-2 MariaDB libraries $ pacman -Qs mariadb-libs

looks like I haven't installed that conflicting package ... so, what is the problem here?

mherzberg commented on 2019-01-17 15:45

@jankoh thanks for providing the patch! I included it and pushed the changes (let me know your name/email if you want to be included in the contributors)

jankoh commented on 2019-01-16 19:29

Hey,

I prepared the mentioned patch (available at [1]) fixing the cmake c-flags check error. I also prepared this git repository to include the patch and bump pkgrel to 3. I'll submit it upstream, too, lets see, when it gets included. :)

@mherzberg: I can push the changes, if you want me to.

Edit: Issue reported upstream at [2]

[1] https://drive.google.com/file/d/1LYDn1xMpZ-nvYLz35zLZEDKNq1pF3dpZ/view?usp=sharing

[2] https://jira.mariadb.org/browse/MDEV-18273

Best regards Jan

jankoh commented on 2019-01-15 13:11

Anyone running over the error:

CMake Error at storage/tokudb/PerconaFT/cmake_modules/TokuSetupCompiler.cmake:178 (message): /usr/bin/c++ doesn't support -std=c++11 or -std=c++0x, you need one that does. Call Stack (most recent call first): storage/tokudb/PerconaFT/CMakeLists.txt:57 (include)

-- Configuring incomplete, errors occurred!

try using "LANG=C makepkg/${YOUR_AUR_HELPER}".

The failed test is badly written, grepping output messages of known compilers in English language only.

I'll try to provide a patch upstream, if I find some time to do it...

[EDIT] To be precise: The bad test is not the one that fails but in the macro "set_cflags_if_supported" which is executed before and adds wrong flags to the comile command line. GCC then issues a warning, which leads to the failing test lateron... [/EDIT]

Best, Jan

Tazmain commented on 2019-01-15 07:32

So I managed to get it compiling the problem was I had zmap installed which installed the mongo_c_driver, which then causes the compile to fail. I am not sure how to address that.

Tazmain commented on 2019-01-14 06:56

Seems there is a depency missing, gettign the error: fatal error: bcon.h: No such file or directory " #include <bcon.h> "

mherzberg commented on 2019-01-13 13:18

@people encountering errors: I know this might not help you much, but building the package still works for me (obviously) using gcc 8.2.1 20181127. For debugging purposes, I setup a minimal VM, installed base and base-devel, downloaded the snapshot and built it successfully with makepkg -si. If you could get a similar setup to work, slowly try to replicate your error and share the results, I think that would be appreciated. However, please also consider my pinned comment.

@Singularity: I appreciate your input, have added some of your changes to the PKGBUILD and have credited you as contributor - thanks! Your other changes were unfortunately not clear to me or I consider them so minor that I think they better go directly into the official package. I would also like to encourage you to bring your suggestions to Christian's attention, as it looks like the days of mariadb-10.3 are thankfully numbered (please see my pinned comment).